BEEM - Android XMPP - Bug #483

unable to install
03/02/2013 02:46 PM - Anonymous

Status: Closed Start date: 03/02/2013
Priority: Normal Due date:

Assignee: Frédéric Barthéléry % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.1.8

Affected version: 0.1.8 Locale:

Description

I'm unable to update or reinstall latest version of Beem from Play or Beem-0.1.8_rc1.apk with adb:

W/ActivityManager ( 388): No content provider found for permission revoke: file:///data/data/com.a
ndroid.providers.downloads/cache/downloadfile.apk

D/Finsky ( 5642): [1] PackageVerificationReceiver.checkPrerequisites: Skipping verification becau
se own installation

D/Finsky ( 5642): [1] PackageVerificationReceiver.onReceive: Verification requested, id = 7
W/ActivityManager ( 388): No content provider found for permission revoke: file:///data/data/com.a

ndroid.providers.downloads/cache/downloadfile.apk

I/PackageManager ( 388): Copying native libraries to /data/app-lib/vmdl-1175151202
I/PackageManager ( 388): Running dexopt on: com.beem.project.beem
E/dalvikvm(10097) : Bogus handler offset: Oxa

E/dalvikvm (10097) : Trouble with item 1896 Q@ offset 0xal2bi4

E/dalvikvm(10097): Swap of section type 2001 failed

E/dalvikvm(10097): ERROR: Byte swap + verify failed

E/dalvikvm(10097): Optimization failed

W/installd(

ess failed

E/installd( 132): dexopt failed on '/data/dalvik-cache/dataQRapp@com.beem.project.beem-1.apk@class
es.dex' res = 65280

W/PackageManager ( 388): Package couldn't be installed in /data/app/com.beem.project.beem-1.apk

132): DexInv: ——— END '/data/app/com.beem.project.beem-1.apk' --- status=0xff00, proc

What steps will reproduce the problem?

>

3.

What is the expected output? What do you see instead?

What version of Beem are you using? On what Android version? On what device?
Please provide any additional information below.

What steps will reproduce the problem?

>

3.

What is the expected output? What do you see instead?

What version of Beem are you using? On what Android version? On what device?

Please provide any additional information below.

Related issues:
Has duplicate Bug #485: unable to install any version Closed 03/05/2013

History

#1 - 03/02/2013 04:11 PM - Frédéric Barthéléry

- Subject changed from unable to install to unable to install
- Description updated

- Status changed from New to Resolved

Try the new 0.1.8_rc2 apk. You may have to reboot your device to be able to install it.

#2 - 03/02/2013 04:11 PM - Frédéric Barthéléry

- Assignee set to Frédéric Barthéléry

#3 - 03/03/2013 03:04 PM - Martin Filip
0.1.8_rc2 can be installed fine with ADB and with Google Play.

Thanks!

#4 - 03/14/2013 10:19 AM - Frédéric Barthéléry

- Subject changed from unable to install to unable to install
- Description updated

- Status changed from Resolved to Closed

- Target version set to 0.1.8

- Affected version changed from 0.1.7 to 0.1.8
